de.dhbwstuttgart.parser

## Class ClassAndParameter

- java.lang.Object
- - de.dhbwstuttgart.parser.ClassAndParameter

    public class ClassAndParameter
    extends java.lang.Object

Hilfskonstrukt, um die Grammatik fuer einen Klassenheader ueberschaubar zu halten. Klassenname und optionale Generics werden hiermit kombiniert und sofort nach dem Parsen in der Klasse Class zueruck aufgeloest.

Author:
  SCJU

### Field Summary

Fields
`private java.lang.String` `name`
`private ParaList` `plist`

### Constructor Summary

Constructors
Constructor and Description
`ClassAndParameter(java.lang.String name)`
`ClassAndParameter(java.lang.String name, ParaList plist)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getName()`
`ParaList` `getParalist()`
`Menge<Type>` `getParaMenge()`
`void` `setName(java.lang.String name)`
`void` `setParalist(ParaList plist)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    private java.lang.String name

#### plist

    private ParaList plist

### Constructor Detail

#### ClassAndParameter

    public ClassAndParameter(java.lang.String name)

#### ClassAndParameter

    public ClassAndParameter(java.lang.String name,
                             ParaList plist)

### Method Detail

#### getParaMenge

    public Menge<Type> getParaMenge()

#### getName

    public java.lang.String getName()

#### setName

    public void setName(java.lang.String name)

#### getParalist

    public ParaList getParalist()

#### setParalist

    public void setParalist(ParaList plist)